Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.framework
Interface Configurable

All Known Implementing Classes:
  AbstractFormatter, AbstractParser, Browsers, DefaultDCPProcessor, MemoryStore, Router, XSPJavaProcessor, XSPProcessor

public interface Configurable

This interface must be implemented by all those classes that need parameters to specify their global behavior during their initialization.

Every class must implement this interface and have empty contructor methods instead of relying on Reflection for configuration.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:22 $
Author:
  Stefano Mazzocchi

Method Summary
`void` | `init(Configurations conf)` Initialize the class by passing its configurations.

Method Detail

### init

    public void init(Configurations conf)
              throws InitializationException

  Initialize the class by passing its configurations.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.